Unable to connect to WPA2-Enterprise since 2.4-r1: WPA_ALG_PMK bug?

Jouni Malinen j at w1.fi
Tue Jul 14 14:01:45 EDT 2015


On Sun, Jul 12, 2015 at 09:52:27AM +0100, David Woodhouse wrote:
> The initial response was:
> 
>   "We are using Aruba ClearPass Policy Manager release 6.5.1 as our 
>    RADIUS server. This release does not support TLSv1.2."
> 
> I have showed them a packet trace which clearly shows a client
> authenticating using EAP-TLSv1.2. And invited further comment :)

Thanks. I asked Aruba and got a response that this was fixed in 6.5.2
which I interpreted as 6.5.1 unfortunately enabling TLSv1.2 even though
it was not "supported" and then not using the correct PRF.. Anyway, this
issue will hopefully go away with the server upgrade. As such, I'm not
currently planning on adding the workaround into hostap.git.
 
-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list